## org.apache.tomcat.util.buf
Class StringCache.CharEntry

    java.lang.Object
      org.apache.tomcat.util.buf.StringCache.CharEntry

Enclosing class:
  StringCache

    public static class StringCache.CharEntry

extends java.lang.Object

Field Summary
`char[]` `name`
`java.lang.String` `value`

Constructor Summary
`StringCache.CharEntry()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public char[] name

### value

    public java.lang.String value

Constructor Detail

### StringCache.CharEntry

    public StringCache.CharEntry()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.